Package org.pgpainless.exception

# Class SignatureValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.bouncycastle.openpgp.PGPException
org.pgpainless.exception.SignatureValidationException

All Implemented Interfaces:
  `Serializable`

public class SignatureValidationException extends org.bouncycastle.openpgp.PGPException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SignatureValidationException(String message)`
`SignatureValidationException(String message, Exception underlying)`
`SignatureValidationException(String message, Map<org.bouncycastle.openpgp.PGPSignature,Exception> rejections)`

## Method Summary

### Methods inherited from class org.bouncycastle.openpgp.PGPException

`getCause, getUnderlyingException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SignatureValidationException

public SignatureValidationException(String message)

### SignatureValidationException

public SignatureValidationException(String message, Exception underlying)

### SignatureValidationException

public SignatureValidationException(String message, Map<org.bouncycastle.openpgp.PGPSignature,Exception> rejections)